Subject: Re: [PATCH v3 1/2] clk: Add consumer APIs for discovering possible parent clocks

From: Scott Wood <[email-masked]>
Date: Fri, 01 Jul 2016 15:57:22 -0500

On Fri, 2016-07-01 at 22:53 +0200, Rafael J. Wysocki wrote:
> On Friday, July 01, 2016 01:55:46 AM Scott Wood wrote:
> > 
> > On Thu, 2016-06-30 at 15:29 +0200, Rafael J. Wysocki wrote:
> > > 
> > > On Thursday, June 30, 2016 05:46:42 AM Scott Wood wrote:
> > > > 
> > > > 
> > > > On 06/29/2016 10:02 PM, Yuantian Tang wrote:
> > > > > 
> > > > > 
> > > > > > 
> > > > > > 
> > > > > > -----Original Message-----
> > > > > > From: Rafael J. Wysocki [mailto:[email-masked]]
> > > > > > Sent: Thursday, June 30, 2016 10:24 AM
> > > > > > To: Yuantian Tang <[email-masked]>
> > > > > > Cc: Scott Wood <[email-masked]>; Russell King <[email-masked]
> > > > > > g.uk
> > > > > > > 
> > > > > > > ;
> > > > > > Michael Turquette <[email-masked]>; Stephen Boyd
> > > > > > <[email-masked]>; Viresh Kumar <[email-masked]>;
> > > > > > linux-
> > > > > > [email-masked]; [email-masked]; linuxppc-
> > > > > > [email-masked]; Yang-Leo Li <[email-masked]>; Xiaofeng
> > > > > > Ren
> > > > > > <[email-masked]>; Scott Wood <[email-masked]>
> > > > > > Subject: Re: [PATCH v3 1/2] clk: Add consumer APIs for discovering
> > > > > > possible
> > > > > > parent clocks
> > > > > > 
> > > > > > On Thursday, June 30, 2016 01:47:09 AM Yuantian Tang wrote:
> > > > > > > 
> > > > > > > 
> > > > > > > > 
> > > > > > > > 
> > > > > > > > -----Original Message-----
> > > > > > > > From: Rafael J. Wysocki [mailto:[email-masked]]
> > > > > > > > Sent: Thursday, June 30, 2016 9:47 AM
> > > > > > > > To: Yuantian Tang <[email-masked]>
> > > > > > > > Cc: Scott Wood <[email-masked]>; Russell King
> > > > > > > > <[email-masked]>; Michael Turquette
> > > > > > > > <[email-masked]>; Stephen Boyd <[email-masked]>
> > > > > > > > ;
> > > > > > > > Viresh Kumar <[email-masked]>; linux- [email-masked]
> > > > > > > > .org
> > > > > > > > ;
> > > > > > > > [email-masked]; linuxppc- [email-masked];
> > > > > > > > Yang-Leo
> > > > > > > > Li <[email-masked]>; Xiaofeng Ren <[email-masked]>;
> > > > > > > > Scott
> > > > > > > > Wood <[email-masked]>
> > > > > > > > Subject: Re: [PATCH v3 1/2] clk: Add consumer APIs for
> > > > > > > > discovering
> > > > > > > > possible parent clocks
> > > > > > > > 
> > > > > > > > On Wednesday, June 29, 2016 05:50:26 AM Yuantian Tang wrote:
> > > > > > > > > 
> > > > > > > > > 
> > > > > > > > > Hi,
> > > > > > > > > 
> > > > > > > > > This patch is acked by clock maintainer. If no comments from
> > > > > > > > > anyone else,
> > > > > > > > we will merge it in next week.
> > > > > > > > 
> > > > > > > > There is a cpufreq commit depending on it.  Are you going to
> > > > > > > > handle
> > > > > > > > that one too?
> > > > > > > > 
> > > > > > > That one has been acked by cpufreq maintainer. You can get this
> > > > > > > from
> > > > > > patch comments.
> > > > > > 
> > > > > > I know that it has been ACKed.
> > > > > > 
> > > > > > My question is whether or not you are going to apply it along the
> > > > > > [1/2].
> > > > > > 
> > > > > > If not, it will have to be deferred until the [1/2] is merged and
> > > > > > then
> > > > > > applied
> > > > > > which may not be desirable.
> > > > > > 
> > > > > I hope we can apply both at same time. Seems Scott has a few
> > > > > concerns.
> > > > > 
> > > > > What you think about this patch? Can you apply it?
> > > > > If you have applied this patch, then I can push CPUfreq maintainer
> > > > > to
> > > > > apply another one which will be delayed.
> > > > My only concern was getting an ack for this patch (1/2) -- did I miss
> > > > it
> > > > somewhere?
> > > OK, so who's going to apply the series?
> > Ideally it should go via the cpufreq tree.
> OK, I'll apply both, then.
> 
> Who exactly has ACKed the [1/2] from the clk side?

That's the problem.  I'm not sure what ACK Yuantian is referring to.  The last
I've heard from a clock maintainer was https://lkml.org/lkml/2015/9/18/816 des
pite repeated attempts to get Russell King to respond as clock API maintainer.

-Scott